#if !defined(AFX_DIALOGMANAGER_H__B6C1F582_2E43_4CB6_9226_AD78C2940F78__INCLUDED_)
#define AFX_DIALOGMANAGER_H__B6C1F582_2E43_4CB6_9226_AD78C2940F78__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// DialogManager.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CDialogManager dialog

class CDialogManager : public CDialog
{

// Construction
public:
	void CalculateChange();
	CDialogManager(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CDialogManager)
	enum { IDD = IDD_DIALOG_MANAGER };
	CButton	m_btnConfirm;
	CButton	m_btnTotalSales;
	CEdit	m_editAmtReceived;
	CButton	m_btnModifyTrans;
	CEdit	m_editHamMeal;
	CEdit	m_editSDrinkS;
	CEdit	m_editSDrinkM;
	CEdit	m_editSDrinkL;
	CEdit	m_editHBurger;
	CEdit	m_editDHamMeal;
	CEdit	m_editFriesS;
	CEdit	m_editFriesM;
	CEdit	m_editFriesL;
	CEdit	m_editDessertS;
	CEdit	m_editDessertM;
	CEdit	m_editDessertL;
	CEdit	m_editDChickMeal;
	CEdit	m_editChickMeal;
	CEdit	m_editDCheeseMeal;
	CEdit	m_editCheeseMeal;
	CEdit	m_editMChicken;
	CEdit	m_editCBurger;
	CComboBox	m_CDiscounts;
	CButton	m_btnDCoupons;
	CButton	m_btnGetChange;
	CButton	m_btnPrintReceipt;
	int		m_CBurger_Qty;
	int		m_HBurger_Qty;
	int		m_MChicken_Qty;
	int		m_CheeseMeal_Qty;
	int		m_ChickMeal_Qty;
	int		m_DessertL_Qty;
	int		m_DessertM_Qty;
	int		m_DessertS_Qty;
	int		m_FriesL_Qty;
	int		m_FriesM_Qty;
	int		m_FriesS_Qty;
	int		m_SDrinkL_Qty;
	int		m_SDrinkM_Qty;
	int		m_SDrinkS_Qty;
	int		m_HamMeal_Qty;
	CString	m_EmpID;
	float	m_AmtReceived;
	float	m_Change;
	float	m_TotalCost;
	CString	m_Discounts;
	int		m_DHamMeal;
	int		m_DCheeseMeal;
	int		m_DChickMeal;
	CString	m_CurrentDiscount;
	int		m_ReceiptNo;
		// NOTE: the ClassWizard will add data members here
	//}}AFX_DATA

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDialogCashReg)
	public:
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CDialogManager)
	afx_msg void OnButtonTotalCost();
	afx_msg void OnButtonCalChange();
	afx_msg void OnButtonPrintReceipt();
	afx_msg void OnButtonNxtrans();
	virtual void OnOK();
	afx_msg void OnChangeEditAmtreceived();
	afx_msg void OnButtonModtrans();
	afx_msg void OnButtonTotalsales();
	afx_msg void OnButtonConfirm();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
	void CalculateTotalCost();
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DIALOGMANAGER_H__B6C1F582_2E43_4CB6_9226_AD78C2940F78__INCLUDED_)

